##はじめに------------------------------------------------------------------------------------------------------------------------
###作業ディレクトリ等については、サポートウェブサイトからダウンロードできる「同性愛者の割合」のRスクリプトを参照

##事前準備（使用するパッケージの呼び出し）---------------------------------------------------------------------------
install.packages("tidyverse") #初めての場合のみ実行
install.packages("memisc") #初めての場合のみ実行
install.packages("estimatr") #初めての場合のみ実行
install.packages("modelsummary") #初めての場合のみ実行
library("tidyverse")
library("memisc")
library("estimatr") #ロバスト標準誤差を用いる場合
library("modelsummary") #結果の一括表示

##データの読み込み---------------------------------------------------------------------------
Data1<-read.csv("cons_data.csv",header=T)

##9.4.1節の推定結果---------------------------------------------------------------------------
Out1r <- lm_robust(cons~income,data=Data1)
Out2 <- lm(cons~income,weights = number,data=Data1)
Out2r <- lm_robust(cons~income,weights = number,data=Data1)

result9.4.1<-list(
  "Out1r" = Out1r,
  "Out2" = Out2,
  "Out2r" = Out2r
)

msummary(result9.4.1,stars = TRUE,fmt = '%.4f')
