##はじめに------------------------------------------------------------------------------------------------------------------------
###作業ディレクトリ等については、サポートウェブサイトからダウンロードできる「同性愛者の割合」のRスクリプトを参照

##事前準備（使用するパッケージの呼び出し）---------------------------------------------------------------------------
install.packages("tidyverse") #初めての場合のみ実行
install.packages("estimatr") #初めての場合のみ実行
install.packages("car")
library("tidyverse") 
library("estimatr")
library("car")

##データの読み込み---------------------------------------------------------------------------
Data1<-read.csv("monthlyint_data.csv",header=T)

##月次データ
Data1$time <- 1:nrow(Data1)

##変数の定義(1兆円単位に変換する)---------------------------------------------------------------------------
Data1[,2]<-Data1[,2]/10000
Data1[,3]<-Data1[,3]/10000
Data1[,4]<-Data1[,4]/10000

##推定結果(外貨準備)---------------------------------------------------------------------------
Out1 <- lm(intj ~ intj_gaika , data = Data1)
summary(Out1)
linearHypothesis(Out1, "intj_gaika = 1")
linearHypothesis(Out1, "(Intercept) = 0")



##推定結果(対民収支)---------------------------------------------------------------------------
Out2 <- lm(intj ~ intj_taimin , data = Data1)
summary(Out2)
linearHypothesis(Out2, "intj_taimin = 1")
linearHypothesis(Out2, "(Intercept) = 0")