##はじめに------------------------------------------------------------------------------------------------------------------------
###作業ディレクトリ等については、サポートウェブサイトからダウンロードできる「同性愛者の割合」のRスクリプトを参照

##事前準備（使用するパッケージの呼び出し）---------------------------------------------------------------------------
install.packages("estimatr") #初めての場合のみ実行
install.packages("AER") #初めての場合のみ実行
library("estimatr")
library("AER")

##データの読み込み---------------------------------------------------------------------------
Data1<-read.csv("laborsupply_data.csv",header=T)

##13.6節の推定結果---------------------------------------------------------------------------
Out1 <- lm_robust(weeks ~ morekids, data=Data1, se_type = "stata")
Out2 <- iv_robust(weeks ~ morekids | samesex , data=Data1, se_type = "stata")
summary(Out1)
summary(Out2)


##練習問題他のコントロール変数を含めた分析---------------------------------------------------------------------------
Out3 <- lm_robust(weeks ~ morekids + age + black + hispan + othrace,
                  data=Data1, se_type = "stata")
Out4 <- iv_robust(weeks ~ morekids + age + black + hispan + othrace | 
                    samesex + age + black + hispan + othrace ,
                  data=Data1, se_type = "stata")
summary(Out3)
summary(Out4)
